class Theme < Generator

	DEFAULT_NAME = "my new theme"

	def generate
		super
		# rename the theme's root folder
		base_path = USER_DIRECTORY + self.destination
		File.rename(base_path + "/custom_theme", base_path + "/" + self.name.to_underscore)
	end

	private

		def initialize(theme_name = nil)
			self.name = theme_name.nil? ? DEFAULT_NAME : theme_name.downcase
			self.destination = ""
			self.template_path = "theme"
			self.relative_to_cwd = true
		end

end