<?php

// Register <%= @generator.name.titleize %>
add_action('init', 'create_<%= @generator.name.to_underscore %>_post_type');
function create_<%= @generator.name.to_underscore %>_post_type() {
  register_post_type( '<%= @generator.name.to_dash %>',
    array(
      'labels' => array(
        'name' => __( '<%= @generator.name.pluralize.titleize %>' ),
        'singular_name' => __( '<%= @generator.name.titleize %>' ),
        'add_new' => __( 'Add New <%= @generator.name.titleize %>' ),
        'add_new_item' => __( 'Add New <%= @generator.name.titleize %>' ),
        'edit_item' => __( 'Edit <%= @generator.name.titleize %>' ),
        'new_item' => __( 'Add New <%= @generator.name.titleize %>' ),
        'view_item' => __( 'View <%= @generator.name.titleize %>' ),
        'search_items' => __( 'Search <%= @generator.name.pluralize.titleize %>' ),
        'not_found' => __( 'No <%= @generator.name.pluralize.downcase %> found' ),
        'not_found_in_trash' => __( 'No <%= @generator.name.pluralize.downcase %> found in trash'),
        'menu_name' => __( '<%= @generator.name.pluralize.titleize %>' ),
      ),
      'public' => true,
      'rewrite' => array('slug' => '<%= @generator.name.to_dash %>'),
      //'taxonomies' => array('category'),
      'publicly_queryable' => true,
      'supports' => array('title', 'editor', 'page-attributes')
    )
  );
}

?>