<!-- This is the category.php file, which shows all posts in a particular category -->

<?php get_header(); ?>

<section>
	<h1>Category: <?php single_cat_title(); ?></h1>

	<!-- Start Loop -->
	<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

		<?php get_template_part( 'partials/content', 'post' ); ?>

	<?php endwhile; else: ?>
		<p>No Posts to display!</p>
	<?php endif; ?>
	<!-- End Loop -->
</section>

<?php get_footer(); ?>