<!-- This is the page.php file, used for "pages" -->

<?php get_header(); ?>

<section>
	<!-- Start Loop -->
	<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

		<div class="breadcrumbs">
			<?php get_breadcrumbs($post); ?>
		</div>

		<h1><?php the_title(); ?></h1>
		<?php the_content(); ?>

	<?php endwhile; else: ?>
		<p>Page not found!</p>
	<?php endif; ?>
	<!-- End Loop -->
</section>

<?php get_footer(); ?>